/* (C) Collabora Productivity 2020, All Rights Reserved */
var brandProductName = 'Nextcloud Office';
var brandProductURL = 'https://nextcloud.com/office';
var brandProductFAQURL = 'https://nextcloud.com/office';

var menuItems;
window.onload = function() {
	// wait until the menu (and particularly the document-header) actually exists
	function setLogo() {
		var logoHeader = document.getElementById('document-header');
		if (!logoHeader) {
			// the logo does not exist in the menu yet, re-try in 250ms
			setTimeout(setLogo, 250);
		} else {
			var logo = $('#document-header > div');
			logo.attr('title', '');

			// Handle click on logo
			logo.off('click').on('click', function(e) {
				onClose(e);
			 });

			menuItems = document.querySelectorAll('#main-menu > li > a');

			var customLogo = getComputedStyle(document.documentElement).getPropertyValue('--nc-custom-logo');
			if (customLogo !== '') {
				var logoUrl = window.docURL.substr(0, window.docURL.indexOf('/apps/richdocuments/wopi/')) + '/apps/theming/image/logo?v=' + customLogo;
				document.documentElement.style.setProperty('--co-image-logo', 'url(' + logoUrl + ')');
			}
		}
	}

	var closeButton = document.getElementById('closebuttonwrapper');
	var share = document.createElement('button');
	share.classList = 'icon-nextcloud-sidebar';
	share.setAttribute('aria-label',_('Share'));
	share.addEventListener('click', function() {
		L.Map.THIS.openShare();
	});
	closeButton.parentNode.insertBefore(share, closeButton);

	setLogo();
};

/*a::first-letter"*/
document.onkeyup = function(e) {
	if (e.altKey && e.shiftKey) {
		console.log('alt + shift + f');
		menuItems.forEach(function(menuItem) {
			menuItem.style.setProperty('text-decoration', 'underline', 'important');
		});
	}
};
